import 'package:example/employee/employee.controller.dart';
import 'package:flutter/material.dart';
import 'package:tecfy_basic_package/tecfy_basic_package.dart';

class EmployeeFormPage extends TecfyStatefulWidget<EmployeeController> {
  const EmployeeFormPage({EmployeeController? controller, Key? key})
      : super(controller, key: key);

  @override
  _EmployeeFormPageState createState() => _EmployeeFormPageState();
}

class _EmployeeFormPageState
    extends TecfyState<EmployeeFormPage, EmployeeController> {
  @override
  EmployeeController createController() =>
      widget.controller ?? EmployeeController();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(title: Text('Employees')),
        body: Column(
          children: [
            TextFormField(),
            Checkbox(
                value: controller.selectedEmployee?.active,
                onChanged: (v) => controller.setState(
                    () => controller.selectedEmployee?.active = v ?? false)),
            ElevatedButton(
              child: Text('Save New Employee'),
              onPressed: controller.addEmployee,
            )
          ],
        ));
  }
}
