part of tecfy_basic_package;

class OperationResult<T> {
  bool success;
  T? data;
  String? message;
  Map<String, dynamic>? multiMessage;
  String? minVersion;
  String? lastVersion;
  String? innerError;
  String? errorCodeString;

  /// the return type for all functions
  OperationResult(
      {this.success = false,
      this.data,
      this.message,
      this.multiMessage,
      this.errorCodeString,
      this.minVersion,
      this.lastVersion,
      this.innerError});

  /// show message with successful of feild info
  Future<dynamic> showMessage(BuildContext context,
      [String? generalMessage]) async {
    if (message != null && (message?.isNotEmpty ?? false))
      return await AppNavigator.showMessage(context, message ?? '',
          success ? MessageType.success : MessageType.error);
    else if (generalMessage != null && generalMessage.isNotEmpty)
      return await AppNavigator.showMessage(context, generalMessage,
          success ? MessageType.success : MessageType.error);
  }

  @override
  toString() {
    if (success == true)
      return '>>>>>>>>>> Success, Message: $message Inner: $innerError';
    else
      return 'XXXXXXXXXX FAILED:  Message: $message  Inner: $innerError';
  }
}
