part of tecfy_basic_package;

abstract class TecfyStatefulWidget<C extends TecfyController>
    extends StatefulWidget {
  final C? controller;
  const TecfyStatefulWidget(this.controller, {Key? key});
}

abstract class TecfyState<T extends TecfyStatefulWidget,
        C extends TecfyController> extends State<T>
    with LifecycleAware, LifecycleMixin {
  late C controller;

  C createController();

  @override
  void onLifecycleEvent(LifecycleEvent event) {
    if (event == LifecycleEvent.active) controller.state = this;
  }

  @override
  initState() {
    controller = createController();
    print(this.widget.runtimeType);
    controller.init(this.widget);
    controller.initLate(this.widget).then((value) => controller.setState());
    super.initState();
  }

  @override
  dispose() {
    controller.dispose();
    super.dispose();
  }
}
